summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Wegener <swegener@gentoo.org>2020-04-01 23:33:44 +0200
committerSven Wegener <swegener@gentoo.org>2020-04-01 23:35:43 +0200
commitd860cc01a9fb0585f6a1ae70147bba2a06ff92a7 (patch)
treeaca6492a51e507ef20ee631e3f0a7c50c2dfd8ca
parentdev-db/mariadb-connector-c: update live ebuild (diff)
downloadgentoo-d860cc01a9fb0585f6a1ae70147bba2a06ff92a7.tar.gz
gentoo-d860cc01a9fb0585f6a1ae70147bba2a06ff92a7.tar.bz2
gentoo-d860cc01a9fb0585f6a1ae70147bba2a06ff92a7.zip
dev-python/hiredis: Add python_test()
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Sven Wegener <swegener@gentoo.org>
-rw-r--r--dev-python/hiredis/hiredis-1.0.1.ebuild5
1 files changed, 5 insertions, 0 deletions
diff --git a/dev-python/hiredis/hiredis-1.0.1.ebuild b/dev-python/hiredis/hiredis-1.0.1.ebuild
index bc7739eaeec..1e14c85fa39 100644
--- a/dev-python/hiredis/hiredis-1.0.1.ebuild
+++ b/dev-python/hiredis/hiredis-1.0.1.ebuild
@@ -22,3 +22,8 @@ PATCHES=(
"${FILESDIR}"/${P}-system-libs.patch
"${FILESDIR}"/${P}-api-0.14.patch
)
+
+python_test() {
+ cd test
+ "${EPYTHON}" -m unittest reader.ReaderTest || die "tests failed"
+}